# Notification

## Config.NotifyType

```lua
-- Here you change the Default Notification

-- you can use following Notifications:
-- LUX (Intigrated)
-- Native(Intigrated)
-- Drillen https://github.com/dillen1/dillen_notifications
-- SY https://github.com/SYNO-SY/SY_Notify
-- okok https://okok.tebex.io/package/4724993
-- wasabi https://store.wasabiscripts.com/package/6215100
-- mythic https://github.com/JayMontana36/mythic_notify
-- QBCore https://github.com/qbcore-framework
-- ESX https://github.com/esx-framework
-- RTX https://rtx.tebex.io/package/5402098
-- OX https://github.com/overextended/ox_lib
-- if you want to use OX Notify you have to edit the fxmanifest.lua

Config.NotifyType = 'LUX'
```

## Config.LuxNotifyTypes&#x20;

```lua
-- here you can add more Notifcation Types for LUX Notify
Config.LuxNotifyTypes = {
    ['info'] = { -- type of the notification
        icon = 'fa-circle-info', -- font awsom icon
        gradient = {
            color1 = '#0b3c7b', -- gradient color 1(left)
            color2 = '#2e69bb', -- gradient color 2(right)
        }
    },
    ['success'] = { -- type of the notification
        icon = 'fa-circle-check', -- font awsom icon
        gradient = {
            color1 = '#0b7b12', -- gradient color 1(left)
            color2 = '#2ebb48', -- gradient color 2(right)
        },
    },
    ['warning'] = { -- type of the notification
        icon = 'fa-triangle-exclamation', -- font awsom icon
        gradient = {
            color1 = '#737b0b', -- gradient color 1(left)
            color2 = '#a1bb2e', -- gradient color 2(right)
        },
    },
    ['error'] = { -- type of the notification
        icon = 'fa-circle-exclamation', -- font awsom icon
        gradient = {
            color1 = '#7b0b0b', -- gradient color 1(left)
            color2 = '#bb2e2e', -- gradient color 2(right)
        },
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luxcoding.de/lux_coding/scripts/lux_lib/configuration/normal-configuration/notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
